## org.apache.catalina.ssi
Class SSISet

    java.lang.Object
      org.apache.catalina.ssi.SSISet

All Implemented Interfaces:
  SSICommand

    public class SSISet

extends java.lang.Object
implements SSICommand

Implements the Server-side #set command

Version:
  $Revision: 531303 $, $Date: 2007-04-23 02:24:01 +0200 (Mon, 23 Apr 2007) $
Author:
  Paul Speed, Dan Sandberg, David Becker

Constructor Summary
`SSISet()`

Method Summary
`long` `process(SSIMediator ssiMediator, java.lang.String commandName, java.lang.String[] paramNames, java.lang.String[] paramValues, java.io.PrintWriter writer)` Write the output of the command to the writer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSISet

    public SSISet()

Method Detail

### process

    public long process(SSIMediator ssiMediator,
                        java.lang.String commandName,
                        java.lang.String[] paramNames,
                        java.lang.String[] paramValues,
                        java.io.PrintWriter writer)
                 throws SSIStopProcessingException

  Description copied from interface: `SSICommand`
  Write the output of the command to the writer.

  Specified by:
    `process` in interface `SSICommand`
  Parameters:
    `ssiMediator` - the ssi mediator
    `commandName` - the name of the actual command ( ie. echo )
    `paramNames` - The parameter names
    `paramValues` - The parameter values
    `writer` - the writer to output to
  Returns:
    the most current modified date resulting from any SSI commands
  Throws:
    `SSIStopProcessingException` - if SSI processing should be aborted
  See Also:
    `SSICommand`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.